# VectorNav C++ Library: vn::sensors::InsAdvancedConfigurationRegister Struct Reference

vn::sensors::InsAdvancedConfigurationRegister Struct Reference
Register Structures

Structure representing the INS Advanced Configuration register. More...

`#include <registers.h>`

## Public Member Functions

| InsAdvancedConfigurationRegister (bool useMagIn, bool usePresIn, bool posAttIn, bool velAttIn, bool velBiasIn, protocol::uart::FoamInit useFoamIn, uint8_t gpsCovTypeIn, uint8_t velCountIn, float velInitIn, float moveOriginIn, float gpsTimeoutIn, float deltaLimitPosIn, float deltaLimitVelIn, float minPosUncertaintyIn, float minVelUncertaintyIn)
| Creates an initializes a new InsAdvancedConfigurationRegister structure. More...

## Public Attributes

bool | useMag
| The useMag field.
bool | usePres
| The usePres field.
bool | posAtt
| The posAtt field.
bool | velAtt
| The velAtt field.
bool | velBias
| The velBias field.
protocol::uart::FoamInit | useFoam
| The useFoam field.
uint8_t | gpsCovType
| The gpsCovType field.
uint8_t | velCount
| The velCount field.
float | velInit
| The velInit field.
float | moveOrigin
| The moveOrigin field.
float | gpsTimeout
| The gpsTimeout field.
float | deltaLimitPos
| The deltaLimitPos field.
float | deltaLimitVel
| The deltaLimitVel field.
float | minPosUncertainty
| The minPosUncertainty field.
float | minVelUncertainty
| The minVelUncertainty field.

## Detailed Description

Structure representing the INS Advanced Configuration register.

## Constructor & Destructor Documentation

vn::sensors::InsAdvancedConfigurationRegister::InsAdvancedConfigurationRegister | ( | bool | useMagIn,
|  | bool | usePresIn,
|  | bool | posAttIn,
|  | bool | velAttIn,
|  | bool | velBiasIn,
|  | protocol::uart::FoamInit | useFoamIn,
|  | uint8_t | gpsCovTypeIn,
|  | uint8_t | velCountIn,
|  | float | velInitIn,
|  | float | moveOriginIn,
|  | float | gpsTimeoutIn,
|  | float | deltaLimitPosIn,
|  | float | deltaLimitVelIn,
|  | float | minPosUncertaintyIn,
|  | float | minVelUncertaintyIn
| ) |  |

inline

Creates an initializes a new InsAdvancedConfigurationRegister structure.

Parameters

  [in] | useMagIn | Value to initialize the useMag field with.
  [in] | usePresIn | Value to initialize the usePres field with.
  [in] | posAttIn | Value to initialize the posAtt field with.
  [in] | velAttIn | Value to initialize the velAtt field with.
  [in] | velBiasIn | Value to initialize the velBias field with.
  [in] | useFoamIn | Value to initialize the useFoam field with.
  [in] | gpsCovTypeIn | Value to initialize the gpsCovType field with.
  [in] | velCountIn | Value to initialize the velCount field with.
  [in] | velInitIn | Value to initialize the velInit field with.
  [in] | moveOriginIn | Value to initialize the moveOrigin field with.
  [in] | gpsTimeoutIn | Value to initialize the gpsTimeout field with.
  [in] | deltaLimitPosIn | Value to initialize the deltaLimitPos field with.
  [in] | deltaLimitVelIn | Value to initialize the deltaLimitVel field with.
  [in] | minPosUncertaintyIn | Value to initialize the minPosUncertainty field with.
  [in] | minVelUncertaintyIn | Value to initialize the minVelUncertainty field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h